Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "f5cdd779-d3aa-4481-ad94-1c6cbeeacea8",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "652a80d3-46bc-40f2-bbcc-e064f2682cc2",
"company_code": "sample string 5",
"company": {
"id": "a9a92925-1bc6-4fcf-8ce2-d3af38d59520",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-22T13:39:13.8726377+00:00",
"sales_territory_id": "3996afba-5dd3-408a-aec0-4994a1de36d9",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "fc499ba5-57e4-4a8e-9fb7-54babdeecd92",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "6f66c8fc-5462-49b2-931b-3a806b376054",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "86940015-f063-477d-8a8b-f5ef314fdf8e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9f6269a3-05d6-4657-bbf6-785b933b16bc",
"db_currency_id": "fb2fb230-ccd9-47f4-bf69-9b401783a3ca",
"db_language_id": "8497aaf5-bb72-4db0-b495-6acb3726109a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-22T13:39:13.8726377+00:00"
},
"modified_dateutc": "2026-11-22T13:39:13.8726377+00:00"
},
"marketing_segment_id": "1478e57d-3109-4be0-81ad-6c2f5eaec759",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "83f7245c-d67b-4eb8-b588-47e8eb5049e1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "31824c93-7a49-4ae0-b79e-d54346a1359f",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "c601bc07-9842-48bc-bbc7-0be97077aeef",
"db_country_code": "sample string 28",
"feelist_id": "ddca90d0-d7a4-40bd-a60d-8078808b1955",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "36d623c9-fcdc-4269-8d0d-e0074e381590",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "038b9f9c-5e15-4229-98f1-983b09b46ff9",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-22T13:39:13.8888631+00:00",
"db_currency_id": "efd06eca-e920-4412-8d50-958179b11593",
"db_currency_code": "sample string 10"
},
"company_type_id": "3a5b1ee4-17c5-46a2-b853-35b313e3827d",
"company_type_name": "sample string 32",
"company_type": {
"id": "25ff1665-117b-472b-ac40-6c7c94cffc05",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "24c023cb-3b1a-43b6-92b3-18fa3d612f2b",
"sales_organization_code": "sample string 5"
},
"db_language_id": "88208dbe-6d72-46c5-8159-0708351cab9f",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "4aa44778-ca0b-4d68-9910-d3e15e17872f",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "57dac4d0-5244-4d32-aabc-2577f9427d2f",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "83447665-bf54-4903-b886-19f1aa632483",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-22T13:39:13.8888631+00:00"
},
"company_sector_id": "d9de8749-40d1-4594-8761-75937616ed47",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "34c9865b-eed0-47b9-89ab-f9c62dfb3e4e",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "d9a610dd-b0f4-4cb8-bc0d-3fe6749609b1",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "d8c1fc3b-0445-40cf-91a8-ba913b9e979e",
"account_manager_user_code": "sample string 56",
"company_status_id": "bdd22883-6f76-4eb8-a8f4-79b95a3f3170",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-22T13:39:13.8888631+00:00",
"id2": 60
},
"db_language_id": "913fc3d9-10c9-4be8-b33e-490579a960cb",
"db_language_code": "sample string 7",
"db_title_id": "593d82c2-3941-4729-b307-b9e64f50c3e4",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-22T13:39:13.8888631+00:00",
"create_date": "2026-11-22T13:39:13.8888631+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-22T13:39:13.8888631+00:00"
}